org.eclipse.emf.cdo.common.revision

## Class CDORevisionHandler.Filtered

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionHandler.Filtered

- All Implemented Interfaces:
    CDORevisionHandler
  Direct Known Subclasses:
    CDORevisionHandler.Filtered.Undetached
  Enclosing interface:
    CDORevisionHandler

      public static class CDORevisionHandler.Filtered
      extends java.lang.Object
      implements CDORevisionHandler

  A delegating `revision handler` with a `filter()` method used to suppress specific revisions.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDORevisionHandler.Filtered.Undetached` A delegating `revision handler` that filters detached revisions.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

      `CDORevisionHandler.Filtered`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filtered(CDORevisionHandler delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `filter(CDORevision revision)`
    `boolean` | `handleRevision(CDORevision revision)` Handles a revision.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filtered

          public Filtered(CDORevisionHandler delegate)

  - ### Method Detail

    - #### handleRevision

          public final boolean handleRevision(CDORevision revision)

      Description copied from interface: `CDORevisionHandler`
      Handles a revision.
      Specified by:
        `handleRevision` in interface `CDORevisionHandler`
      Returns:
        `true` to indicate that the caller may pass more revisions, `false` otherwise.

    - #### filter

          protected boolean filter(CDORevision revision)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html